Package Details: hhvm 4.99.0-1

Git Clone URL: https://aur.archlinux.org/hhvm.git (read-only, click to copy)
Package Base: hhvm
Description: A virtual machine for executing programs written in Hack.
Upstream URL: http://hhvm.com
Licenses: MIT, PHP, Zend
Submitter: xuanruiqi
Maintainer: None
Last Packager: xuanruiqi
Votes: 0
Popularity: 0.000000
First Submitted: 2021-01-30 20:56
Last Updated: 2021-03-03 17:11

Dependencies (47)

Required by (0)

Sources (3)

Latest Comments

basemax commented on 2021-06-14 11:19

ERROR: One or more files did not pass the validity check!

[max@workstation tmp]$ yay hhvm
3 aur/hhvm 4.99.0-1 (+0 0.00) (Orphaned) 
    A virtual machine for executing programs written in Hack.
2 aur/hhvm-hack-git 3.24.0-1 (+2 0.00) 
    HHVM's Hack tools (hh_client, hh_server, hh_format et al.)
1 aur/hhvm-git 20150820-1 (+14 0.00) (Orphaned) (Out-of-date: 2016-09-08) 
    Virtual Machine, Runtime, and JIT for PHP
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 3
:: There are 4 providers available for libmysqlclient:
:: Repository AUR
    1) libmysqlclient 2) libmysqlclient55 3) libmysqlclient56 4) libmysqlclient57 

Enter a number (default=1): 1
:: There are 2 providers available for aspcud:
:: Repository AUR
    1) aspcud 2) aspcud-svn 

Enter a number (default=1): 1   
:: Checking for conflicts...
:: Checking for inner conflicts...
 -> 
Package conflicts found:
 -> Installing libmysqlclient will remove: mariadb-libs (libmysqlclient), mariadb-libs (libmariadbclient), mariadb-libs
 -> Conflicting packages will have to be confirmed manually
[Aur:4]  mysql-8.0.25-1 (libmysqlclient)  imagemagick6-6.9.12.15-1 (libmagick6)  editline-1.17.1-1  hhvm-4.99.0-1
[Aur Make:2]  clingo-5.5.0-1  aspcud-1.9.5-1

==> Remove make dependencies after install? [y/N] n
  6 mysql (libmysqlclient)                   (Build Files Exist)
  5 imagemagick6 (libmagick6)                (Build Files Exist)
  4 editline                                 (Build Files Exist)
  3 clingo                                   (Build Files Exist)
  2 aspcud                                   (Build Files Exist)
  1 hhvm                                     (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: PKGBUILD up to date, Skipping (1/6): hhvm
:: PKGBUILD up to date, Skipping (2/6): editline
:: PKGBUILD up to date, Skipping (3/6): mysql (libmysqlclient)
:: PKGBUILD up to date, Skipping (4/6): aspcud
:: PKGBUILD up to date, Skipping (5/6): clingo
:: Downloaded PKGBUILD (6/6): imagemagick6 (libmagick6)
  6 mysql (libmysqlclient)                   (Build Files Exist)
  5 imagemagick6 (libmagick6)                (Build Files Exist)
  4 editline                                 (Build Files Exist)
  3 clingo                                   (Build Files Exist)
  2 aspcud                                   (Build Files Exist)
  1 hhvm                                     (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: (1/6) Parsing SRCINFO: mysql (libmysqlclient)
:: (2/6) Parsing SRCINFO: imagemagick6 (libmagick6)
:: (3/6) Parsing SRCINFO: editline
:: (4/6) Parsing SRCINFO: clingo
:: (5/6) Parsing SRCINFO: aspcud
:: (6/6) Parsing SRCINFO: hhvm
==> Making package: mysql 8.0.25-1 (Mon 14 Jun 2021 03:48:21 PM +0430)
==> Retrieving sources...
  -> Found mysql-boost-8.0.25.tar.gz
  -> Found my-default.cnf
  -> Found mysql-ld.so.conf
  -> Found mysql.sysconfig
  -> Found mysqld_service.patch
  -> Found systemd-tmpfiles.patch
  -> Found systemd-sysusers.conf
==> Validating source files with sha256sums...
    mysql-boost-8.0.25.tar.gz ... FAILED
    my-default.cnf ... Passed
    mysql-ld.so.conf ... Passed
    mysql.sysconfig ... Passed
    mysqld_service.patch ... Passed
    systemd-tmpfiles.patch ... Passed
    systemd-sysusers.conf ... Passed
==> ERROR: One or more files did not pass the validity check!
error downloading sources: mysql (libmysqlclient)

basemax commented on 2021-06-12 13:43

Error:

==> ERROR: One or more files did not pass the validity check!
error downloading sources: mysql (libmysqlclient)

Details:

$ yay hhvm

3 aur/hhvm 4.99.0-1 (+0 0.00) (Orphaned) 
    A virtual machine for executing programs written in Hack.
2 aur/hhvm-hack-git 3.24.0-1 (+2 0.00) 
    HHVM's Hack tools (hh_client, hh_server, hh_format et al.)
1 aur/hhvm-git 20150820-1 (+14 0.00) (Orphaned) (Out-of-date: 2016-09-08) 
    Virtual Machine, Runtime, and JIT for PHP
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 3
:: There are 4 providers available for libmysqlclient:
:: Repository AUR
    1) libmysqlclient 2) libmysqlclient55 3) libmysqlclient56 4) libmysqlclient57 

Enter a number (default=1): 
:: There are 2 providers available for aspcud:
:: Repository AUR
    1) aspcud 2) aspcud-svn 

Enter a number (default=1): 
:: Checking for conflicts...
:: Checking for inner conflicts...
 -> 
Package conflicts found:
 -> Installing libmysqlclient will remove: mariadb-libs (libmariadbclient), mariadb-libs, mariadb-libs (libmysqlclient)
 -> Conflicting packages will have to be confirmed manually
[Aur:4]  mysql-8.0.25-1 (libmysqlclient)  imagemagick6-6.9.12.14-1 (libmagick6)  editline-1.17.1-1  hhvm-4.99.0-1
[Aur Make:2]  clingo-5.5.0-1  aspcud-1.9.5-1

==> Remove make dependencies after install? [y/N] n
  6 mysql (libmysqlclient)                   (Build Files Exist)
  5 imagemagick6 (libmagick6)                (Build Files Exist)
  4 editline                                 (Build Files Exist)
  3 clingo                                   (Build Files Exist)
  2 aspcud                                   (Build Files Exist)
  1 hhvm                                     (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: PKGBUILD up to date, Skipping (1/6): hhvm
:: PKGBUILD up to date, Skipping (2/6): clingo
:: PKGBUILD up to date, Skipping (3/6): editline
:: PKGBUILD up to date, Skipping (4/6): mysql (libmysqlclient)
:: PKGBUILD up to date, Skipping (5/6): imagemagick6 (libmagick6)
:: PKGBUILD up to date, Skipping (6/6): aspcud
  6 mysql (libmysqlclient)                   (Build Files Exist)
  5 imagemagick6 (libmagick6)                (Build Files Exist)
  4 editline                                 (Build Files Exist)
  3 clingo                                   (Build Files Exist)
  2 aspcud                                   (Build Files Exist)
  1 hhvm                                     (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: (1/6) Parsing SRCINFO: mysql (libmysqlclient)
:: (2/6) Parsing SRCINFO: imagemagick6 (libmagick6)
:: (3/6) Parsing SRCINFO: editline
:: (4/6) Parsing SRCINFO: clingo
:: (5/6) Parsing SRCINFO: aspcud
:: (6/6) Parsing SRCINFO: hhvm
==> Making package: mysql 8.0.25-1 (Sat 12 Jun 2021 06:10:47 PM +0430)
==> Retrieving sources...
  -> Found mysql-boost-8.0.25.tar.gz
  -> Found my-default.cnf
  -> Found mysql-ld.so.conf
  -> Found mysql.sysconfig
  -> Found mysqld_service.patch
  -> Found systemd-tmpfiles.patch
  -> Found systemd-sysusers.conf
==> Validating source files with sha256sums...
    mysql-boost-8.0.25.tar.gz ... FAILED
    my-default.cnf ... Passed
    mysql-ld.so.conf ... Passed
    mysql.sysconfig ... Passed
    mysqld_service.patch ... Passed
    systemd-tmpfiles.patch ... Passed
    systemd-sysusers.conf ... Passed
==> ERROR: One or more files did not pass the validity check!
error downloading sources: mysql (libmysqlclient)